#
# Conditional build:
%bcond_without	apidocs		# Sphinx-based API documentation
%bcond_without	tests		# unit tests

Summary:	Python 3 library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS z Pythona 3
Name:		python3-dbus
Version:	1.4.0
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://dbus.freedesktop.org/releases/dbus-python/dbus-python-%{version}.tar.xz
# Source0-md5:	edca335d1c80f338e3255455eb876b72
URL:		https://www.freedesktop.org/wiki/Software/DBusBindings
BuildRequires:	dbus-devel >= 1.8
BuildRequires:	glib2-devel >= 1:2.40
BuildRequires:	meson >= 0.60
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.7
%if %{with apidocs}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-sphinx_rtd_theme
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	dbus-libs >= 1.8
Requires:	glib2 >= 1:2.40
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS add-on library to integrate the standard D-BUS library with
Python.

%description -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z Pythonem.

%package apidocs
Summary:	API documentation for Python dbus module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona dbus
Group:		Documentation
Obsoletes:	python-dbus-apidocs < 1.4

%description apidocs
API documentation for Python dbus module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona dbus.

%package -n dbus-python-devel
Summary:	C API for _dbus_bindings module
Summary(pl.UTF-8):	API C dla modułu _dbus_bindings
License:	AFL v2.1 or LGPL v2.1
Group:		Development/Libraries
Requires:	dbus-devel >= 1.8
Requires:	glib2-devel >= 1:2.40
#R: python-dbus = %{version}-%{release}  or  python3-dbus = %{version}-%{release}
#R: python-devel >= 1:2.7  or  python3-devel >= 1:3.5
Obsoletes:	python-dbus-devel < 1.4

%description -n dbus-python-devel
C API for _dbus_bindings module.

%description -n dbus-python-devel -l pl.UTF-8
API C dla modułu _dbus_bindings.

%prep
%setup -q -n dbus-python-%{version}

%build
%meson \
	%{?with_apidocs:-Ddoc=enabled} \
	-Dpython=%{__python3} \
	-Dtests=%{__enabled_disabled tests}

%meson_build

%if %{with tests}
%meson_test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# not installed by meson
# (and python builders, which install egg/dist-info, configure meson with undesired options)
cp -pr dbus_python.egg-info $RPM_BUILD_ROOT%{py3_sitedir}/dbus_python-%{version}-py%{py3_ver}.egg-info

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

# as for 1.4.0, use python-dbus-devel 1.2.x
# (the only difference is removal of python2.7 interface support from header)
%{__rm} $RPM_BUILD_ROOT%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{__rm} $RPM_BUILD_ROOT%{_pkgconfigdir}/dbus-python.pc

%if %{with apidocs}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/dbus-python/html/{.doctrees,_sources}
%{__rm} $RPM_BUILD_ROOT%{_docdir}/dbus-python/html/{.buildinfo,objects.inv}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README doc/{API_CHANGES,tutorial}.txt
%dir %{py3_sitedir}/dbus
%{py3_sitedir}/dbus/__pycache__
%{py3_sitedir}/dbus/*.py
%dir %{py3_sitedir}/dbus/mainloop
%{py3_sitedir}/dbus/mainloop/__pycache__
%{py3_sitedir}/dbus/mainloop/*.py
%attr(755,root,root) %{py3_sitedir}/_dbus_bindings.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/_dbus_glib_bindings.cpython-*.so
%{py3_sitedir}/dbus_python-%{version}-py*.egg-info

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/dbus-python
%endif

%if 0
# as for 1.4.0, use python-dbus-devel 1.2.x
# (the only difference is removal of python2.7 interface support from header;
#  keep python2-enabled version to support python-dbus package for remaining users)
%files -n dbus-python-devel
%defattr(644,root,root,755)
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_pkgconfigdir}/dbus-python.pc
%endif
%changelog
* Thu Jun 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dbus.git;a=log;h=master

* Thu Jun 05 2025 Jakub Bogusz <qboosh@pld-linux.org> a84c67c
- python-dbus.spec updated to 1.4.0 for python 3.7+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e61f3d6
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b382d30
- python 3.13 rebuild

* Thu Mar 23 2023 Jakub Bogusz <qboosh@pld-linux.org> dde5335
- install using python setup to get egg-info files
- dropped support for apidocs without python3
- release 5

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7d02abb
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8b4a550
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c4399c4
- rebuild with python 3.10

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> d96a768
- updated to 1.2.18

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> aafe9d7
- release 2 (by relup.sh)

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> e47bcd6
- updated to 1.2.16

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 7f489a6
- updated to 1.2.12

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a5a8dd1
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d734e5
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> a48c2cc
- updated to 1.2.8 (now uses glib2 2.40+ instead of dbus-glib)
- removed outdated epydoc patch; now it uses Sphinx
- package HTML docs in -apidocs package

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> dd303e1
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 6546066
- updated to 1.2.4

* Tue Feb 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 006e969
- updated to 1.2.2

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3fdba2b
- release 9 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 33ba665
- release 8 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fbe820
- python 3.5 rebuild
- release 7 (by relup.sh)

